> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show KCReservation entity

> Fetches a KCReservation entity.

- Product: Kc smart home
- Section: Integration - KC Smart Home
- Snapshot: Current
- Method: `GET`
- Path: `/api/kc_smart_home/reservations/{id}`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.kcSmartHome.reservations.get({
  id: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/kc_smart_home/reservations/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {}
]
```

##### Schema

###### KCReservation[]

Type: `KCReservation[]`  

###### KCReservation

Type: `KCReservation`  

## Related representations

- [Human documentation](/kc-smart-home/reservations/methods/get/)
- [TypeScript Markdown](/kc-smart-home/reservations/methods/get.md?lang=typescript)
- [curl Markdown](/kc-smart-home/reservations/methods/get.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/kc-smart-home/llms.txt)
- [snapshot llms.txt](/kc-smart-home/llms.txt)
